/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.env;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.project.db.entity.CpProjectEnvDs;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
* Restful接口--资源详情--数据传输对象：系统环境数据源信息
*
* createdate:  2023-09-12 10:47:26  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统环境数据源信息")
public class CpProjectEnvDsDetailDto extends CpProjectEnvDs implements Serializable
{

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    private String tenantId;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    private String projectId;
    /**
     * 环境id<br>
     */
    @ApiModelProperty("环境id")
    private String envId;
    /**
     * 数据源类型 0-MongoDB，1-mysql，2-Oracle，3-达梦，4-OceanBase，5-db2<br>
     */
    @ApiModelProperty("数据源类型 0-MongoDB，1-mysql，2-Oracle，3-达梦，4-OceanBase，5-db2")
    private Integer dsType;
    /**
     * 连接名称<br>
     */
    @ApiModelProperty("连接名称")
    private String connName;
    /**
     * 主机<br>
     */
    @ApiModelProperty("主机")
    private String connHost;
    /**
     * 端口<br>
     */
    @ApiModelProperty("端口")
    private Integer connPort;
    /**
     * 数据库<br>
     */
    @ApiModelProperty("数据库")
    private String connDatabase;
    /**
     * 用户名<br>
     */
    @ApiModelProperty("用户名")
    private String connUsername;
    /**
     * 密码<br>
     */
    @ApiModelProperty("密码")
    private String connPassword;
    /**
     * 高级属性<br>
     */
    @ApiModelProperty("高级属性")
    private Map<String, Object> advancedConfigMap;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    private String memo;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getTenantId() {
        return tenantId;
    }

    @Override
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public String getProjectId() {
        return projectId;
    }

    @Override
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @Override
    public String getEnvId() {
        return envId;
    }

    @Override
    public void setEnvId(String envId) {
        this.envId = envId;
    }

    @Override
    public Integer getDsType() {
        return dsType;
    }

    @Override
    public void setDsType(Integer dsType) {
        this.dsType = dsType;
    }

    @Override
    public String getConnName() {
        return connName;
    }

    @Override
    public void setConnName(String connName) {
        this.connName = connName;
    }

    @Override
    public String getConnHost() {
        return connHost;
    }

    @Override
    public void setConnHost(String connHost) {
        this.connHost = connHost;
    }

    @Override
    public Integer getConnPort() {
        return connPort;
    }

    @Override
    public void setConnPort(Integer connPort) {
        this.connPort = connPort;
    }

    @Override
    public String getConnDatabase() {
        return connDatabase;
    }

    @Override
    public void setConnDatabase(String connDatabase) {
        this.connDatabase = connDatabase;
    }

    @Override
    public String getConnUsername() {
        return connUsername;
    }

    @Override
    public void setConnUsername(String connUsername) {
        this.connUsername = connUsername;
    }

    @Override
    public String getConnPassword() {
        return connPassword;
    }

    @Override
    public void setConnPassword(String connPassword) {
        this.connPassword = connPassword;
    }

    public Map<String, Object> getAdvancedConfigMap() {
        return advancedConfigMap;
    }

    public void setAdvancedConfigMap(Map<String, Object> advancedConfigMap) {
        this.advancedConfigMap = advancedConfigMap;
    }

    @Override
    public String getMemo() {
        return memo;
    }

    @Override
    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String getCreatedBy() {
        return createdBy;
    }

    @Override
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    @Override
    public Date getCreatedTime() {
        return createdTime;
    }

    @Override
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public String getUpdatedBy() {
        return updatedBy;
    }

    @Override
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    @Override
    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}